Package org.eclipse.ecf.provider.filetransfer.httpclient4

## Class HttpClientBrowseFileTransferFactory

- java.lang.Object
- - org.eclipse.ecf.provider.filetransfer.httpclient4.HttpClientBrowseFileTransferFactory

All Implemented Interfaces:
  `IRemoteFileSystemBrowserFactory`

    public class HttpClientBrowseFileTransferFactory
    extends Object
    implements IRemoteFileSystemBrowserFactory

### Constructor Summary

Constructors
`HttpClientBrowseFileTransferFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IRemoteFileSystemBrowser` `newInstance()` Get new instance of IRemoteFileSystemBrowser.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpClientBrowseFileTransferFactory

    public HttpClientBrowseFileTransferFactory()

### Method Detail

#### newInstance

    public IRemoteFileSystemBrowser newInstance()

Description copied from interface: `IRemoteFileSystemBrowserFactory`
Get new instance of IRemoteFileSystemBrowser.

Specified by:
  `newInstance` in interface `IRemoteFileSystemBrowserFactory`
Returns:
  IRemoteFileSystemBrowser for initiating a retrieval of a remote file.